import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.QbChart;

public class ChartSwitchToCustomData extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			ChartSwitchToCustomData chart = new ChartSwitchToCustomData();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doChartSwitchToCustomData(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doChartSwitchToCustomData(this));
	}

	Component doChartSwitchToCustomData(Applet parent) {

		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"ChartSwitchToCustomData.cht"); // template

		try {
			// Switch data source
			chart.gethInputData().setClassFile("Furniture_Chart");

			// Refresh chart
			chart.refresh();
		} catch (Exception ex)
		{
			ex.printStackTrace();

		}

		// Show chart in Viewer
		return chart;
	}

}
